local FighterControllerParent = require "scenes.battlesystem.controllers.parent"
local EnnemyController = FighterControllerParent:extend()

local Villain = require "scenes.battlesystem.controllers.fighters.villain"

function EnnemyController:new(owner)
  self.super.new(self, owner)
  self:initVillains()
end

function EnnemyController:initVillains()
  self:addVillain("motobug")
  self:addVillain("motobug")
  self:addVillain("motobug")
end

function EnnemyController:addVillain(name)
  self:add(Villain(self, name, self:count() + 1))
end

return EnnemyController
